/*** MAIN ***/
/* style html elements and general css classes that may be used in several html-templates */

/*** definition of global css-variables ***/
:root {
    --zlegreen: #97d700;

    --button-hover-brightness: brightness(85%);
    --button-padding: 10px 20px 10px 20px;
    
    --font-color: #818080;
    --font-size: 16px;
    --table-font-color: black;
    
    --site-margin: 100px;

    --border-radius: 5px;
}


/*** HTML-elements ***/
body {
    font-family: 'Roboto', sans-serif;
    margin: 0px;
    font-size: var(--font-size);
    -webkit-tap-highlight-color: transparent;
}

/* text */
p, a, span, td {
    color: var(--font-color);
    line-height: 150%;
    text-decoration: none;
    margin-top: 5px;
    margin-bottom: 5px;
}

h2 {
    font-size: 1.5em;
    font-weight: bolder;
    color: var(--zlegreen);
    margin-top: 10px;
    margin-bottom: 10px;
}

/* image */
img {
    max-width: 100%;
}

figcaption {
    color: var(--font-color);
    font-size: 12px !important;
    font-style: italic !important;
}

/* buttons */
button, input[type=submit], .link-button {
    display: inline-block;
    color: white;
    background-color: var(--zlegreen);
    font-size: var(--font-size);
    border: none;
    border-radius: var(--border-radius);
    padding: var(--button-padding);
    margin-top: 6px;
    margin-bottom: 16px;
    cursor: pointer;
    width: fit-content;
}

.link-button-mobiledevice {
    margin-top: 0;
    width: 100%;
    text-align: center;
}

/* list */
ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

li {
    margin-bottom: 0%;
}

/* line-element */
hr {
    margin: 25px auto;
    color: var(--zlegreen);
    width: 100%;
    opacity: 60%;
}


/*** margin and space ***/
/* margin for the content to the header and footer */
.first-div {
    width: 100%;
    margin-top: 25px;
    margin-bottom: 25px;
}

/* further margin-classes */
.no-margin {
    margin: 0;
}

.no-margin-bottom {
    margin-bottom: 0 !important;
}

.margin-left {
    margin-left: 20px;
    margin-right: 0 !important;
}

/* general space or bigger line break */
.spacer-div {
    margin-top: 20px;
    margin-bottom: 20px;
}

/* general class to push two objects to the borders of a div */
.float-right-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

/*** text ***/
/* normal header as p-element */
.header-paragraph {
    color: var(--zlegreen);
    font-weight: bold;
    line-height: 1;
    margin-bottom: 5px;
}

/* keep paragraphs in texts */
.keep-paragraphs {
    white-space: pre-line;
}


/*** link specifications ***/
/* link that isn't visible and also not clickable (but stays as a placeholder) */
.hidden-link {
    pointer-events: none;
    cursor: default;
    text-decoration: none;
    opacity: 0;
}

/* link that gets underlined when hovered above, else it is just green */
.underlined-link, .underlined-link-marginleft {
    color: var(--zlegreen);
    line-height: 150%;
    text-decoration: none;
    margin-bottom: 0;
}

/* link that is part of the table and gets green when hovered, else it is black and underlined */
.doi-link {
    color: var(--table-font-color);
    line-height: 150%;
    text-decoration: underline;
    margin-bottom: 0;
    margin-right: 20px;
    cursor: pointer;
}



/*** only enable hover feature on desktop ***/
@media (hover: hover) and (pointer: fine) {
    a:hover {
        color: var(--zlegreen);
    }
    
    button:hover, input[type=submit]:hover, .link-button:hover {
        color: white;
        filter: var(--button-hover-brightness);
    }
    
    .underlined-link:hover, .underlined-link-marginleft:hover {
        text-decoration: underline;
    }
    
    .doi-link:hover {
        color: var(--zlegreen);
    }
}



/* PDF Styles */
.pdf-container {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 24%;
    margin: -6px 0 9px auto;
    float: right;
}

.pdf-box {
    display: flex;
    align-items: center;
    background-color: transparent;
    border: 1px solid #e0e0e0;
    border-radius: 18px;
    padding: 0px 10px;
    width: 100%; 
    box-sizing: border-box; 
    margin-bottom: 10px; 
    flex-grow: 1;
}

.pdf-icon {
    width: 50px;
    height: 50px;
    margin-right: 4px;
    flex-shrink: 0;
}

.pdf-title {
    flex-grow: 1;
    font-size: 14px;
    color: #333;
    white-space: normal; 
    overflow: hidden; 
    text-overflow: ellipsis;
}

.pdf-title a {
    display: block; 
    white-space: nowrap; 
    overflow: hidden;
    text-overflow: ellipsis; 
}

.pdf-download-link {
    background-color: var(--zlegreen);
    color: white;
    padding: 4px 8px;
    border-radius: 3px;
    text-decoration: none;
    font-size: 12px;
    white-space: nowrap;
}

.pdf-download-link:hover {
    filter: var(--button-hover-brightness);
}